## org.exist.storage.report
Class XMLStatistics

    java.lang.Object
      org.exist.storage.report.XMLStatistics

public class XMLStatistics
extends java.lang.Object

generate statistics about the XML storage - used by `StatusGenerator`

Author:
  jmv

Field Summary
`org.xml.sax.ContentHandler` `contentHandler`
`static java.lang.String` `NAMESPACE`
`static java.lang.String` `PREFIX`

Constructor Summary
`XMLStatistics(org.xml.sax.ContentHandler contentHandler)`

Method Summary
`void` `addValue(java.lang.String elem, java.lang.String value)`
`void` `genInstanceStatus()`
`void` `setContentHandler(org.xml.sax.ContentHandler contentHandler)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### contentHandler

    public org.xml.sax.ContentHandler contentHandler

Constructor Detail

### XMLStatistics

    public XMLStatistics(org.xml.sax.ContentHandler contentHandler)

Parameters:
  `contentHandler` -

Method Detail

### genInstanceStatus

    public void genInstanceStatus()
                           throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### addValue

    public void addValue(java.lang.String elem,
                         java.lang.String value)
                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler contentHandler)

  Parameters:
    `contentHandler` -

Copyright (C) Wolfgang Meier. All rights reserved.